/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "echarts", 'swiper', "paging"], function ($, template, Tools, echarts, swiper) {
    //数据存储
    var module = {
        data: {
            //服务器地址
            serverApi:'',
            //焦点图数据
            focusList: [],
            newList: [],
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 5,
            //总页数
            pageCount:0
        },
    };
    var tools = new Tools();

    module.init = function (page) {
        //新闻管理列表
        // tools.doGet(news + '/003//7', {}, module.focusNews , true);
        var _height=$("body").height();//获取当前窗口的高度
        var boxHeight = _height-520;
        //
        module.data.pageSize = (boxHeight/40).toFixed(0);
        $('#newContent').height(boxHeight);
        tools.doGet(getTopDeptId, {}, module.getInformation , true);
    };

    module.getInformation = function (data) {
        console.log(data)
        module.data.deptId = data.data;
        tools.doGet(schemeList, {
            deptId: data.data,
            pageNum: 1,
            pageSize: module.data.pageSize,
        }, module.newList , true);
    }

    //新闻列表
    module.newList = function (data) {
        if (data.code == 200) {
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.newList == '') {
                console.log(pageCount)
                // 初始化 分页器
                var page_s1 = createPage('.page_s1');
                // 设置分页
                setPage(page_s1, {
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共' + pageCount + '页');
            }
            var content = data.rows;
            module.data.newList = content;
            var newData = template('newData', module.data);
            $("#newContent").html(newData);
        }
    }

    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        tools.doGet(schemeList, {
            deptId: module.data.deptId,
            pageNum: pageNum,
            pageSize: module.data.pageSize,
        }, module.newList , true );
    }

    goDetail = function(id){
        tools.skip('/agriculturalLawEnforcement/view/schemeDisclosure/schemeDetail.html?id='+id);
    }
    return module;
});